package client

import "git.loafle.net/commons_go/rpc/protocol"

type ClientReadWriteCloseHandler interface {
	Connect() (interface{}, error)
	ReadResponse(clientCTX ClientContext, codec protocol.ClientCodec, conn interface{}) (protocol.ClientResponseCodec, error)
	WriteRequest(clientCTX ClientContext, codec protocol.ClientCodec, conn interface{}, method string, params interface{}, id interface{}) error
	Disconnect(conn interface{})

	Validate()
}
